WP5Parser Class Reference

`#include <WP5Parser.h>`

Inheritance diagram for WP5Parser:

## Public Member Functions

| WP5Parser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
| ~WP5Parser () override
void | parse (librevenge::RVNGTextInterface *documentInterface) override
void | parseSubDocument (librevenge::RVNGTextInterface *documentInterface) override
Public Member Functions inherited from WPXParser
| WPXParser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
virtual | ~WPXParser ()

## Static Public Member Functions

static void | parseDocument (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP5Listener *listener)

## Private Member Functions

WP5PrefixData * | getPrefixData (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP5Listener *listener)

## Additional Inherited Members

Protected Member Functions inherited from WPXParser
WPXHeader * | getHeader ()
librevenge::RVNGInputStream * | getInput ()
WPXEncryption * | getEncryption ()

## Constructor & Destructor Documentation

## WP5Parser()

WP5Parser::WP5Parser | ( | librevenge::RVNGInputStream * | input,
|  | WPXHeader * | header,
|  | WPXEncryption * | encryption )

## ~WP5Parser()

WP5Parser::~WP5Parser | ( |  | ) |

override

## Member Function Documentation

## getPrefixData()

WP5PrefixData * WP5Parser::getPrefixData | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

private

Referenced by parse().

## parse() [1/2]

void WP5Parser::parse | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP5Listener * | listener )

private

## parse() [2/2]

void WP5Parser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

override virtual

Implements WPXParser.

Referenced by parse().

## parseDocument()

void WP5Parser::parseDocument | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP5Listener * | listener )

static

Referenced by parse(), WP5SubDocument::parse(), and parseSubDocument().

## parseSubDocument()

void WP5Parser::parseSubDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

override virtual

Implements WPXParser.

The documentation for this class was generated from the following files:

- WP5Parser.h
- WP5Parser.cpp